package org.netbeans.modules.cnd.dwarfdump;

/**
 *
 * @author Richard Osborne
 */
public class FileEntry {
    private String fileName;
    private String dirName;
    private long modifiedTime;
    private long fileSize;
    
    /** Creates a new instance of FileEntry */
    public FileEntry(String fileName, String dirName, long modifiedTime, long fileSize) {
        this.fileName = fileName;
        this.dirName = dirName;
        this.modifiedTime = modifiedTime;
        this.fileSize = fileSize;
    }

    public String getFileName() {
    	return fileName;
    }
    
    public String getDirName() {
    	return dirName;
    }
    
    public long getModifiedTime() {
    	return modifiedTime;
    }
    
    public long getFileSize() {
    	return fileSize;
    }
}
